import unittest
from unittest.mock import patch, MagicMock
from main import analyze_url

class TestAnalyzeUrl(unittest.TestCase):

    def test_analyze_url(self):
        result = analyze_url('https://data.prod.app.integreatconsult.com/glimpse2/import/c9c5b9af-bfb5-475d-820d-20a6a00f006b.pdf')
        print(result)


        self.assertEqual(result, {})
        
        # Add more assertions depending on how you expect your function to behave.
        
    def test_analyze_url3(self):
        result = analyze_url('https://data.prod.app.integreatconsult.com/bryce/glimpse2-testing/SWP.pdf')
        print(result)

        self.assertEqual(result, {})
        
        # Add more assertions depending on how you expect your function to behave.
        

if __name__ == '__main__':
    unittest.main()